# Marksheet: Databases, Networks & the Web - Term 1 Lab Portfolio

|	Student ID	|	Mark (/10)	|
|-----------------------|-----------------------|
|		33347191	|		5	|

---

## What your mark means

|	Mark	|	Descriptor	|	Equivalent Classification	|
|---------------|-----------------------|---------------------------------------|
|	<4	|	Unsatisfactory	|	Unclassified (fail)		|
|	4	|	Acceptable	|	3				|
|	5	|	Satisfactory	|	2:2				|
|	6	|	Good		|	2:1				|
|	7	|	Excellent	|	1				|
|	>7	|	Outstanding	|	1				|

---

## Marker Comments

An acceptable piece of work which demonstrates some effort has been made to understand the example code. However, there are many similarities with the example and not enough personalization.

+ When adding a record, it is not possible to choose another artist besides Bob Marley.
+ It is not possible to add more orders
+ Addrecord.php not included in views
+ no contributions in the forum

---

## Mark Grid

Breakdown of your marks. Marks are awarded out of 100 and divided by 10 to give you a scaled percentage.
**Please note, full marks will not be given where code bears a very close resemblance to that of the example app.**

|	REQUIREMENT											| Marks		|
|-------------------------------------------------------------------------------------------------------|---------------|
|	**BASIC**											|		|
|	Application is well organised with a logical directory structure				| 3/5		|
| 	Includes an .sql file containing a minimum of 4 TABLE CREATE statements				| 3/5		|
| 	Includes an .sql file containing INSERT statements for adding dummy data to tables		| 3/5		|
|	Statements use correct SQL syntax and make appropriate use of data types			| 3/5		|
|	Statements include 2 or more logical foreign key constraints					| 4/5		|
|	Application is deployed at the URL specified in the README file					| 5/5		|
| 	Application is navigable via a single point of entry						| 3/5		|
| 	Application has a minimum of 3 distinct views							| 3/5		|
| 	Successful use of `mysqli` or PDO extention to connect to database				| 4/5		|	
| 	Successful use of `mysqli` or PDO extention to query database					| 4/5		|
| 	A table join is used in one or more queries							| 3/5		|
| 	Application includes an HTML form which submits a POST request to a valid URL for processing	| 3/5		|
|	Form processing script executes some form of data manipulation statement on the database	| 3/5		|
| 	Some basic methods of data validation are used in the processing script				| 3/5		|
|	**HIGHER LEVEL**										|		|
| 	A transaction has been implemented in the application						| 0/5		|
| 	Evidence of extended learning (i.e. use of PHP functions/advanced SQL not taught on module)	| 0/15		|
| 	Contributions have been made on forum								| 0/5		|
| 	Regular commits have been made to GitLab							| 3/5		|
|	**TOTAL (UNSCALED)** 										| **50/100**	|
|	**TOTAL (SCALED)**  										| **5/10**	|

## In case of concerns

If you require further clarification on anything mentioned in the marker's **comments**, or if you have a **reasonable complaint** about your mark, please email Sorrel (s.harriet@gold.ac.uk). Be aware that a minor adjustment to your mark may not affect the scaled percentage.
